%global srcrelease 1

Name:           python-nectar
Version:        1.4.2
Release:        1%{?dist}
Summary:        A download library that separates workflow from implementation details

License:        GPLv2
URL:            https://github.com/pulp/nectar
Source0:        https://github.com/pulp/nectar/archive/%{name}-%{version}-%{srcrelease}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-nose
BuildRequires:  python-mock
BuildRequires:  python-requests
BuildRequires:  python-isodate

Requires:       python-isodate
Requires:       python-requests

%description
Nectar is a download library that abstracts the workflow of making and tracking
download requests away from the mechanics of how those requests are carried
out. It allows multiple downloaders to exist with different implementations,
such as the default "threaded" downloader, which uses the "requests" library
with multiple threads. Other experimental downloaders have used tools like
pycurl and eventlets.

%prep
%setup -q -n nectar-%{name}-%{version}-%{srcrelease}

%build
%py2_build

%check
./run-tests.sh

%install
%py2_install

%files
%{python2_sitelib}/nectar
%{python2_sitelib}/nectar*.egg-info
%license LICENSE.txt
%doc README.rst

%changelog
* Tue Dec 15 2015 Ina Panova <ipanova@redhat.com> 1.4.2-1
- Making a new release of package

* Wed Nov 25 2015 Ina Panova <ipanova@redhat.com> 1.4.1-1
- Initial packaging
